<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sun-cmp-mappings PUBLIC "-//Sun Microsystems, Inc.//DTD Sun ONE Application Server 7.0 OR Mapping //EN" "http://www.sun.com/software/sunone/appserver/dtds/sun-cmp-mapping_1_0.dtd">
<sun-cmp-mappings>
  <sun-cmp-mapping>
    <schema>specjschema</schema>
    <entity-mapping>
      <ejb-name>PartEnt</ejb-name>
      <table-name>M_parts</table-name>
      <cmp-field-mapping>
        <field-name>planner</field-name>
        <column-name>M_parts.p_planner</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>description</field-name>
        <column-name>M_parts.p_desc</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>himark</field-name>
        <column-name>M_parts.p_himark</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>lomark</field-name>
        <column-name>M_parts.p_lomark</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>purchased</field-name>
        <column-name>M_parts.p_ind</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>name</field-name>
        <column-name>M_parts.p_name</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>type</field-name>
        <column-name>M_parts.p_type</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>revision</field-name>
        <column-name>M_parts.p_rev</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>id</field-name>
        <column-name>M_parts.p_id</column-name>
      </cmp-field-mapping>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>BomEnt</ejb-name>
      <table-name>M_bom</table-name>
      <cmp-field-mapping>
        <field-name>qty</field-name>
        <column-name>M_bom.b_qty</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>componentId</field-name>
        <column-name>M_bom.b_comp_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>assemblyId</field-name>
        <column-name>M_bom.b_assembly_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>lineNo</field-name>
        <column-name>M_bom.b_line_no</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>engChange</field-name>
        <column-name>M_bom.b_eng_change</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>opsNo</field-name>
        <column-name>M_bom.b_ops</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>opsDesc</field-name>
        <column-name>M_bom.b_ops_desc</column-name>
      </cmp-field-mapping>
      <cmr-field-mapping>
        <cmr-field-name>component</cmr-field-name>
        <column-pair>
          <column-name>M_bom.b_comp_id</column-name>
          <column-name>M_parts.p_id</column-name>
        </column-pair>
        <fetched-with>
          <none/>
        </fetched-with>
      </cmr-field-mapping>
      <cmr-field-mapping>
        <cmr-field-name>assembly</cmr-field-name>
        <column-pair>
          <column-name>M_bom.b_assembly_id</column-name>
          <column-name>M_parts.p_id</column-name>
        </column-pair>
        <fetched-with>
          <none/>
        </fetched-with>
      </cmr-field-mapping>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>WorkOrderEnt</ejb-name>
      <table-name>M_workorder</table-name>
      <cmp-field-mapping>
        <field-name>startDate</field-name>
        <column-name>M_workorder.wo_start_date</column-name>
        <fetched-with>
          <none/>
        </fetched-with>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>compQty</field-name>
        <column-name>M_workorder.wo_comp_qty</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>assemblyId</field-name>
        <column-name>M_workorder.wo_assembly_id</column-name>
        <fetched-with>
          <default/>
        </fetched-with>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>dueDate</field-name>
        <column-name>M_workorder.wo_due_date</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>origQty</field-name>
        <column-name>M_workorder.wo_orig_qty</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>status</field-name>
        <column-name>M_workorder.wo_status</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>salesId</field-name>
        <column-name>M_workorder.wo_o_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>id</field-name>
        <column-name>M_workorder.wo_number</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>oLineId</field-name>
        <column-name>M_workorder.wo_ol_id</column-name>
      </cmp-field-mapping>
      <cmr-field-mapping>
        <cmr-field-name>assembly</cmr-field-name>
        <column-pair>
          <column-name>M_workorder.wo_assembly_id</column-name>
          <column-name>M_parts.p_id</column-name>
        </column-pair>
        <fetched-with>
          <none/>
        </fetched-with>
      </cmr-field-mapping>
      <consistency>
        <lock-when-loaded/>
      </consistency>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>ComponentEnt</ejb-name>
      <table-name>M_parts</table-name>
      <cmp-field-mapping>
        <field-name>description</field-name>
        <column-name>M_parts.p_desc</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>himark</field-name>
        <column-name>M_parts.p_himark</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>id</field-name>
        <column-name>M_parts.p_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>lomark</field-name>
        <column-name>M_parts.p_lomark</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>name</field-name>
        <column-name>M_parts.p_name</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>planner</field-name>
        <column-name>M_parts.p_planner</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>purchased</field-name>
        <column-name>M_parts.p_ind</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>revision</field-name>
        <column-name>M_parts.p_rev</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>type</field-name>
        <column-name>M_parts.p_type</column-name>
      </cmp-field-mapping>
      <cmr-field-mapping>
        <cmr-field-name>inventory</cmr-field-name>
        <column-pair>
          <column-name>M_parts.p_id</column-name>
          <column-name>M_inventory.in_p_id</column-name>
        </column-pair>
        <fetched-with>
          <default/>
        </fetched-with>
      </cmr-field-mapping>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>InventoryEnt</ejb-name>
      <table-name>M_inventory</table-name>
      <cmp-field-mapping>
        <field-name>partId</field-name>
        <column-name>M_inventory.in_p_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>in_ordered</field-name>
        <column-name>M_inventory.in_ordered</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>location</field-name>
        <column-name>M_inventory.in_location</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>qty</field-name>
        <column-name>M_inventory.in_qty</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>accDate</field-name>
        <column-name>M_inventory.in_act_date</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>accCode</field-name>
        <column-name>M_inventory.in_acc_code</column-name>
      </cmp-field-mapping>
      <consistency>
        <lock-when-loaded/>
      </consistency>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>AssemblyEnt</ejb-name>
      <table-name>M_parts</table-name>
      <cmp-field-mapping>
        <field-name>name</field-name>
        <column-name>M_parts.p_name</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>id</field-name>
        <column-name>M_parts.p_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>planner</field-name>
        <column-name>M_parts.p_planner</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>lomark</field-name>
        <column-name>M_parts.p_lomark</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>purchased</field-name>
        <column-name>M_parts.p_ind</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>revision</field-name>
        <column-name>M_parts.p_rev</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>himark</field-name>
        <column-name>M_parts.p_himark</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>type</field-name>
        <column-name>M_parts.p_type</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>description</field-name>
        <column-name>M_parts.p_desc</column-name>
      </cmp-field-mapping>
      <cmr-field-mapping>
        <cmr-field-name>inventory</cmr-field-name>
        <column-pair>
          <column-name>M_parts.p_id</column-name>
          <column-name>M_inventory.in_p_id</column-name>
        </column-pair>
        <fetched-with>
          <none/>
        </fetched-with>
      </cmr-field-mapping>
      <cmr-field-mapping>
        <cmr-field-name>bOMs</cmr-field-name>
        <column-pair>
          <column-name>M_parts.p_id</column-name>
          <column-name>M_bom.b_assembly_id</column-name>
        </column-pair>
        <fetched-with>
          <none/>
        </fetched-with>
      </cmr-field-mapping>
    </entity-mapping>
    <entity-mapping>
      <ejb-name>LargeOrderEnt</ejb-name>
      <table-name>M_largeorder</table-name>
      <cmp-field-mapping>
        <field-name>salesOrderId</field-name>
        <column-name>M_largeorder.lo_o_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>id</field-name>
        <column-name>M_largeorder.lo_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>assemblyId</field-name>
        <column-name>M_largeorder.lo_assembly_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>qty</field-name>
        <column-name>M_largeorder.lo_qty</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>dueDate</field-name>
        <column-name>M_largeorder.lo_due_date</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>orderLineNumber</field-name>
        <column-name>M_largeorder.lo_ol_id</column-name>
      </cmp-field-mapping>
      <cmp-field-mapping>
        <field-name>category</field-name>
        <column-name>M_largeorder.lo_category</column-name>
      </cmp-field-mapping>
    </entity-mapping>
  </sun-cmp-mapping>
</sun-cmp-mappings>
